Bug 1749803 - [RFE] Improve workflow for storage migration of VMs with multiple disks
Summary: [RFE] Improve workflow for storage migration of VMs with multiple disks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ovirt-4.4.2
: 4.4.2
Assignee: shani
QA Contact: Evelina Shames
URL:
Whiteboard:
Depends On:
Blocks: 902971 1839058
TreeView+ depends on / blocked
 
Reported: 2019-09-06 13:10 UTC by Peter Lauterbach
Modified: 2020-09-23 16:11 UTC (History)
10 users (show)

Fixed In Version: ovirt-engine-4.4.2.1
Doc Type: Enhancement
Doc Text:
This enhancement enables you to set the same target domain for multiple disks. Previously, when moving or copying multiple disks, you needed to set the target domain for each disk separately. Now, if a common target domain exists, you can set it as the target domain for all disks. If there is no common storage domain, such that not all disks are moved or copied to the same storage domain, set the common target domain as 'Mixed'.
Clone Of:
Environment:
Last Closed: 2020-09-23 16:11:04 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
Design1 - Added a new "Apply to all" column (86.50 KB, image/png)
2020-07-07 17:21 UTC, shani
no flags Details
Design2 - target domain select-box (68.21 KB, image/png)
2020-07-07 18:57 UTC, Daniel Erez
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3807 0 None None None 2020-09-23 16:11:39 UTC
oVirt gerrit 110550 0 master MERGED webadmin: set target domain for multiple disks move/copy 2020-12-03 13:36:14 UTC

Description Peter Lauterbach 2019-09-06 13:10:11 UTC
1. Proposed title of this feature request
Improved workflow for VM storage Migration

2. What is the nature and description of the request?
When migrating storage for a VM with multiple disks, RHV requires that the admin individually select the destination storage domain for each VM disk. This becomes tedious when migrating the storage for many VMS with multiple disks. RHV should have a simpler workflow to move all the VM disks to a single storage domain.


3. Why does the customer need this? (List the business requirements here)
To reduce errors, and eliminate inefficiencies when migrating storage for VMS with multiple disks.

4. How would the customer like to achieve this? (List the functional requirements here)
There should be a default storage destination for all the storage on a VM as an initial step, but we should still retain the option to assign different VM disks to different destination storage domains.

5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
a. Migrate a VM with multiple disks to a single storage domain with a simplified workflow.
b. Migrate a VM with multiple disks to different storage domains, as you can today.

6. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No

Comment 2 Tal Nisan 2019-09-09 14:58:00 UTC
Benny, we said we'll have it as a part of using data domain for export

Comment 3 Benny Zlotnik 2019-09-09 15:06:33 UTC
(In reply to Tal Nisan from comment #2)
> Benny, we said we'll have it as a part of using data domain for export

This will work for copying, but not for moving, is it enough?
If moving is required, then a "Set all to <sd>" combobox added to multiple move dialog can do the trick I think

Comment 4 Peter Lauterbach 2019-09-09 16:54:39 UTC
From the customer point of view, this will be needed for moving a VM as well as copying.

Comment 5 Benny Zlotnik 2019-09-09 17:10:00 UTC
(In reply to Peter Lauterbach from comment #4)
> From the customer point of view, this will be needed for moving a VM as well
> as copying.
if that's the case, then a "Set all to" combo would be good enough?

Comment 6 Peter Lauterbach 2019-09-09 17:44:40 UTC
Please review this UX work with Storage team.

Comment 7 Peter Lauterbach 2019-09-10 12:27:14 UTC
This flag was cleared by previous comment, resetting.

Comment 8 Laura Wright 2019-09-13 14:08:06 UTC
Has any work been done already that needs to be reviewed or do we want to start designing this feature before implementation starts? I definitely recommend doing some design iterations before any implementation starts.

Comment 9 Michal Skrivanek 2020-03-17 15:44:48 UTC
we're late for 4.4 RFEs, looks minor and suitable for a backport though.

Comment 10 shani 2020-07-07 17:21:20 UTC
Created attachment 1700193 [details]
Design1 - Added a new "Apply to all" column

In case of moving more than 1 disk, there's a new column with "Apply to all" checkbox.
WIP: Once checking a checkbox, all target domains should match the "checked" one.

Comment 11 Daniel Erez 2020-07-07 18:57:24 UTC
Created attachment 1700198 [details]
Design2 - target domain select-box

Comment 12 Daniel Erez 2020-07-07 18:57:44 UTC
I think a column of "apply to all" could be rather confusing in this case for a few reasons:
* Multiple checkboxes implies multiple selections, but in this case only one row can be selected
  (since obviously only one configuration can apply to all).
* Using a radio buttons instead mitigates the previous issue, but we also have to allow no selection.
  I.e., use a different selection for every disk.
* It's not clear which properties are affected by the checkbox; target domain/disk profile/both?

As an alternative, I would suggest adding a 'target storage domain' select-box above the table
that affects all disks when changed: see 'Design2' attachment.
So to avoid confusion on custom selection (when a target domain is manually changed for a disk),
the select-box is changed to 'Mixed'

What do you think?

Comment 13 shani 2020-07-08 09:44:19 UTC
I'm OK with that one.

Laura, what do you think?

Comment 14 Laura Wright 2020-07-13 15:49:48 UTC
That works for me.

Comment 21 Evelina Shames 2020-08-25 09:08:34 UTC
Verified on eninge-4.4.2.2-0.3

Comment 25 errata-xmlrpc 2020-09-23 16:11:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3807


Note You need to log in before you can comment on or make changes to this bug.